Bug 164224 - [MAINTAINER] dns/ldns: update to 1.6.12
Summary: [MAINTAINER] dns/ldns: update to 1.6.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-16 22:20 UTC by Jaap Akkerhuis
Modified: 2012-01-28 18:00 UTC (History)
1 user (show)

See Also:


Attachments
ldns-1.6.12.patch (1.96 KB, patch)
2012-01-16 22:20 UTC, Jaap Akkerhuis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2012-01-16 22:20:08 UTC
- Update to 1.6.12

Main changes:

* bugfix #413: Fix manpage source for srcdir != builddir
* Canonicalize the signers name rdata field in RRSIGs when signing
* Ignore minor version of Private-key-format (so v1.3 may be used)
* Allow a check_time to be given in stead of always checking against
  the current time. With ldns-verify-zone the check_time can be set
  with the -t option.
* Added functions for updating and manipulating SOA serial numbers.
  ldns-read-zone has an option -S for updating and manipulating the
  serial numbers.
* bugfix #419: NSEC3 validation of a name covered by a wildcard with
  no data.
* Fix days_since_epoch to year_yday calculation on 32bits systems.


Fixed some leftover OPTIONS problems in the port.

Generated with FreeBSD Port Tools 0.99
Comment 1 Martin Wilke freebsd_committer 2012-01-17 01:55:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2012-01-28 17:49:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2012-01-28 17:50:41 UTC
miwi        2012-01-28 17:49:34 UTC

  FreeBSD ports repository

  Modified files:
    dns/ldns             Makefile distinfo 
  Log:
  - Update to 1.6.12
  
  PR:             164224
  Submitted by:   Jaap Akkerhuis <jaap@NLnetLabs.nl>
  
  Revision  Changes    Path
  1.30      +13 -10    ports/dns/ldns/Makefile
  1.19      +2 -2      ports/dns/ldns/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"